Next: Option Summary, Up: Invoking DIRMNGR [Contents][Index]

### 3.1 Commands

Commands are not distinguished from options except for the fact that only one command is allowed.

`--version` ¶

  Print the program version and licensing information. Note that you cannot abbreviate this command.

`--help, -h` ¶

  Print a usage message summarizing the most useful command-line options. Note that you cannot abbreviate this command.

`--dump-options` ¶

  Print a list of all available options and commands. Note that you cannot abbreviate this command.

`--server` ¶

  Run in server mode and wait for commands on the `stdin`. The default mode is to create a socket and listen for commands there. This is only used for testing.

`--daemon` ¶

  Run in background daemon mode and listen for commands on a socket. This is the way `dirmngr` is started on demand by the other GnuPG components. To force starting `dirmngr` it is in general best to use `gpgconf --launch dirmngr`.

`--supervised` ¶

  Run in the foreground, sending logs to stderr, and listening on file descriptor 3, which must already be bound to a listening socket. This is useful when running under systemd or other similar process supervision schemes. This option is not supported on Windows.

`--list-crls` ¶

  List the contents of the CRL cache on `stdout`. This is probably only useful for debugging purposes.

`--load-crl file` ¶

  This command requires a filename as additional argument, and it will make Dirmngr try to import the CRL in file into it’s cache. Note, that this is only possible if Dirmngr is able to retrieve the CA’s certificate directly by its own means. In general it is better to use `gpgsm`’s `--call-dirmngr loadcrl filename` command so that `gpgsm` can help dirmngr.

`--fetch-crl url` ¶

  This command requires an URL as additional argument, and it will make dirmngr try to retrieve and import the CRL from that url into it’s cache. This is mainly useful for debugging purposes. The `dirmngr-client` provides the same feature for a running dirmngr.

`--shutdown` ¶

  This commands shuts down an running instance of Dirmngr. This command has currently no effect.

`--flush` ¶

  This command removes all CRLs from Dirmngr’s cache. Client requests will thus trigger reading of fresh CRLs.

Next: Option Summary, Up: Invoking DIRMNGR [Contents][Index]